% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/depth-first-traversals.R
\name{depth_first_analyse_expr}
\alias{depth_first_analyse_expr}
\title{Analyse an expression.}
\usage{
depth_first_analyse_expr(expr, callbacks, params = list(), topdown = list(),
  wflags = warning_flags(), ...)
}
\arguments{
\item{expr}{An R expression}

\item{callbacks}{List of callbacks to apply.}

\item{params}{Parameters of the function we are analysing. If we are
working on a raw expression, just use the default, which is an empty list.}

\item{topdown}{A list of additional information gathered in the traversal.}

\item{wflags}{Warning flags, see \code{\link[=warning_flags]{warning_flags()}}.}

\item{...}{Additional data that will be passed along to callbacks.}
}
\value{
The result of the last bottom-up traversal.
}
\description{
Traverses the expression \code{expr} depth-first and analyse it it using
\code{callbacks}.
}
\seealso{
analysis_callbacks

identity_analysis_callback

depth_first_analyse_function
}
