% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/depth-first-traversals.R
\name{depth_first_rewrite_expr}
\alias{depth_first_rewrite_expr}
\title{Transform an expression.}
\usage{
depth_first_rewrite_expr(expr, callbacks, params = list(), topdown = list(),
  wflags = warning_flags(), ...)
}
\arguments{
\item{expr}{An R expression}

\item{callbacks}{List of callbacks to apply.}

\item{params}{Parameters of the function we are rewriting. If we are
working on a raw expression, just use the default, which is an empty list.}

\item{topdown}{A list of additional information gathered in the traversal.}

\item{wflags}{Warning flags, see \code{\link[=warning_flags]{warning_flags()}}.}

\item{...}{Additional data that will be passed along to callbacks.}
}
\value{
A modified expression.
}
\description{
Traverses the expression \code{expr} depth-first and transform it using \code{callbacks}.
}
\seealso{
rewrite_callbacks

identity_rewrite_callback

depth_first_rewrite_function
}
